Subject: Re: Answer to Legal Qry

From: "Steven M. Schultz" <[email-masked]>
Date: Sat, 30 Aug 1997 22:04:25 -0700 (PDT)

Warren -

> even a version of System V for the PDP-11. I don't know if there was a System
> III which ran on PDP-11s.
 
	Yes, there was.  It was similar to V7 except the tty system was
	starting along the road to what SysV would use.  Also the "simple"
	administrative nature of V7 (and BSD) had been transformed into
	the forest of directories and scripts that SysV uses (/etc/rc.d, 
	/etc/init.d, and so on).  

> source code to System V, even if it was only for the PDP-11. I think we
> would be happy to forego the System III and System V versions.

	I'd be perfectly content if Sys III and V were left out.  My BSD
	bias is probably showing though ;)

> If I left out PWB, MERT, Mini UNIX and AUSAM, then would you add them to the
> list?!

	I wasn't aware that MERT ever was released outside of Bell Labs.

> 	  your "2BSD release" is this the Berkely versions of UNIX? -
> 	  if it is, it could go up to our SVR4.0 and we do not want
> 	  to included this in our license.

	There's no Sys III or later code at all in 2BSD.  The split in
	the family tree came quite a bit earlier, so while there is V7
	code present in 2BSD the newer additions to 2BSD have borrowed from 
	the "unencumbered" 4BSD and similar efforts.

> In terms or licensing, we are in a situation similar to the 4.4BSD-Lite
> situation. The perception was that certain parts of 4.4 were derived `enough'
> from old UNIX, and so were left out.

	AND, there are a number of modules in the current 4.4BSD, FreeBSD,
	and other BSD derived systems which AT&T/USL/etc allowed to be
	published as long as a "notice" was placed at the top of the file.

> With 2BSD and its derivatives, we happily assert that there IS stuff left
> over from 6th and 7th Edition. I am sure there is nothing taken from 32V
> or from later versions of UNIX. All we want is the license to cover anything
> still in 2BSD which is _derived_ from the early versions of UNIX.
	
	Quite correct.  The BSD effort had gone its own way long before
	SysV ever came out.

> Thanks again & expect a follow-up reply from Steven Schultz about 2BSD.

	Oh, I'm supposed to send something? ;-)

	Ok - I'll add a Cc: to this item - I think it covers most of the
	questions about 2BSD.

	Steven